Subject: bug#10992: closed (Re: bug#10992: error signaled for syntax expression)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 11 Mar 2012 17:58:02 +0000

Your bug report

#10992: error signaled for syntax expression

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10992: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10992
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10992: error signaled for syntax expression
From: Mark H Weaver <[email-masked]>
To: Stefan Israelsson Tampe <[email-masked]>
Cc: [email-masked]
Date: Sun, 11 Mar 2012 13:25:01 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Israelsson Tampe <[email-masked]> writes:

> Hi,
>
>
> I wanted to enter meta data where the symbols are important into a
> syntax object and tried to be smart
> in doing that but stumbled on this because loading (a simplified
> example) the attached file I get an annoying error e.g.
>
> ERROR: bad src
> $7 = #(a (a b) (a (b c) #f))

Fixed in 30398e94f9cadfaff44117bbff214b0b7ba703ca.

   Thanks!
     Mark

Subject: error signaled for syntax expression
From: Stefan Israelsson Tampe <[email-masked]>
To: [email-masked]
Date: Sun, 11 Mar 2012 14:23:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I wanted to enter meta data where the symbols are important into a syntax
object and tried to be smart
in doing that but stumbled on this because loading (a simplified example)
the attached file I get an annoying error e.g.

ERROR: bad src
$7 = #(a (a b) (a (b c) #f))